textures/ut4_frenzee/fzee_nebula_skybox
{
	qer_editorimage env/ut4_frenzee/purplenebula_bk.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 50 3
	surfaceparm sky
	q3map_sunEXT 0.8 0.6 0.5 20 320 20 1 16
	q3map_backSplash 0 512
	skyparms env/ut4_frenzee/purplenebula 512 -
}

// delisi water from Venice

textures/ut4_frenzee/fzee_water
{
	qer_editorimage textures/ut4_frenzee/delisi_water.tga
//	tessSize 100
	surfaceparm trans
	surfaceparm nonsolid
	//surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm water
	//cull disable
	
	{	
		map textures/ut4_frenzee/delisi_water.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0.1 0.1 0.1 .1
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}

}

// no damage floor metals

textures/ut4_frenzee/fzee_floor_metal1
{
	qer_editorimage textures/ut4_frenzee/pr_metal091.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_frenzee/pr_metal091.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_frenzee/fzee_floor_metal2
{
	qer_editorimage textures/ut4_frenzee/pr_metal061.tga
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_frenzee/pr_metal061.tga
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_frenzee/fzee_floor_metal3
{
	qer_editorimage textures/ut4_frenzee/pr_metal079.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_frenzee/pr_metal079.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_frenzee/fzee_floor_metal4
{
	qer_editorimage textures/ut4_frenzee/pr_metal076.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_frenzee/pr_metal076.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_frenzee/fzee_floor_metal_r1
{
	qer_editorimage textures/ut4_frenzee/pr_metal027r.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_frenzee/pr_metal027r.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_frenzee/fzee_floor_metal_b1
{
	qer_editorimage textures/ut4_frenzee/pr_metal027b.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_frenzee/pr_metal027b.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

//glass: slippery, no damage

textures/ut4_frenzee/fzee_glass_slip
{
	qer_editorimage textures/ut4_frenzee/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm slick
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_frenzee/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}


//Lighting
//From crossing; altered for use

textures/ut4_frenzee/fzee_panel_500
{
	qer_editorimage textures/ut4_frenzee/xing_panel.tga
	surfaceparm nomarks 
	surfaceparm nodamage
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_frenzee/xing_panel.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_frenzee/xing_panel_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_frenzee/fzee_teleborb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_frenzee/soc_blue_telep.jpg
	qer_trans 0.4

	cull none

	{
		map textures/ut4_frenzee/soc_blue_telep.jpg
		tcmod rotate 360
//		tcmod stretch sin 1 .1 0 .1
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_frenzee/fzee_telerorb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_frenzee/soc_red_telep.jpg
	qer_trans 0.4

	cull none

	{
		map textures/ut4_frenzee/soc_red_telep.jpg
		tcmod rotate 360
//		tcmod stretch sin 1 .1 0 .1
		blendFunc GL_ONE GL_ONE
	}
}

//Fence, Alpha'd, from Urban_terror.shader and urban_terror2 textures

textures/ut4_frenzee/fzee_fence
{
	qer_editorimage textures/ut4_frenzee/bbq_window.tga
	surfaceparm trans
	surfaceparm nodamage		
	cull none
        nopicmip

	{
		map textures/ut4_frenzee/bbq_window.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Ladderclip form UrT

textures/ut4_frenzee/fzee_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}